<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePrescriptionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('prescriptions', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id');
            $table->unsignedBigInteger('doctor_id');
            $table->double('weight')->nullable();
            $table->double('height')->nullable();
            $table->string('blood_pressure')->nullable();
            $table->text('chief_complaint')->nullable();
            $table->json('medicine_info')->nullable();
            $table->json('diagnosis_info')->nullable();
            $table->text('note')->nullable();
            $table->date('prescription_date');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('prescriptions');
    }
}
