
<?php $__env->startSection('content'); ?>
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('sms-template-create')): ?>
                    <h3><a href="<?php echo e(route('sms-campaigns.create')); ?>" class="btn btn-outline btn-info">+ <?php echo app('translator')->get('SMS Campaign'); ?></a>
                        <span class="pull-right"></span>
                    </h3>
                <?php endif; ?>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>"><?php echo app('translator')->get('Dashboard'); ?></a></li>
                    <li class="breadcrumb-item active"><?php echo app('translator')->get('SMS Campaign List'); ?></li>
                </ol>
            </div>
        </div>
    </div>
</section>
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title"><?php echo app('translator')->get('SMS Campaign List'); ?></h3>
                <div class="card-tools">
                    <button class="btn btn-default" data-toggle="collapse" href="#filter"><i class="fas fa-filter"></i> <?php echo app('translator')->get('Filter'); ?></button>
                </div>
            </div>
            <div class="card-body">
                <div id="filter" class="collapse <?php if(request()->isFilterActive): ?> show <?php endif; ?>">
                    <div class="card-body border">
                        <form action="" method="get" role="form" autocomplete="off">
                            <input type="hidden" name="isFilterActive" value="true">
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('Campaign Name'); ?></label>
                                        <input type="text" name="campaign_name" class="form-control" value="<?php echo e(request()->campaign_name); ?>" placeholder="<?php echo app('translator')->get('Name'); ?>">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-4">
                                    <button type="submit" class="btn btn-info"><?php echo app('translator')->get('Submit'); ?></button>
                                    <?php if(request()->isFilterActive): ?>
                                        <a href="<?php echo e(route('sms-campaigns.index')); ?>" class="btn btn-secondary"><?php echo app('translator')->get('Clear'); ?></a>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <table class="table table-striped" id="laravel_datatable">
                    <thead>
                        <tr>
                            <th><?php echo app('translator')->get('Campaign Name'); ?></th>
                            <th><?php echo app('translator')->get('Contact Type'); ?></th>
                            <th><?php echo app('translator')->get('Status'); ?></th>
                            <th><?php echo app('translator')->get('Scheduled at'); ?></th>
                            <th><?php echo app('translator')->get('Created at'); ?></th>
                            <th data-orderable="false"><?php echo app('translator')->get('Actions'); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $smsCampaigns; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $smsCampaign): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($smsCampaign->campaign_name); ?></td>
                            <td><?php echo e($smsCampaign->contact_type); ?></td>
                            <td>
                                <?php if($smsCampaign->status == 'Pending'): ?>
                                    <h4><span class="badge badge-secondary"><?php echo app('translator')->get('Pending'); ?></span></h4>
                                <?php elseif($smsCampaign->status == 'Processing'): ?>
                                    <h4><span class="badge badge-warning"><?php echo app('translator')->get('Processing'); ?></span></h4>
                                <?php elseif($smsCampaign->status == 'Completed'): ?>
                                    <h4><span class="badge badge-success"><?php echo app('translator')->get('Completed'); ?></span></h4>
                                <?php else: ?>
                                    <h4><span class="badge badge-danger"><?php echo app('translator')->get('Failed'); ?></span></h4>
                                <?php endif; ?>
                            </td>
                            <td>
                                <?php echo e(date($companySettings->date_format.' H:i:s' ?? 'Y-m-d H:i:s', strtotime($smsCampaign->schedule_time))); ?>

                            </td>
                            <td>
                                <?php echo e(date($companySettings->date_format ?? 'Y-m-d', strtotime($smsCampaign->created_at))); ?>

                            </td>
                            <td>
                                <?php if($smsCampaign->status == 'Completed'): ?>
                                <a href="<?php echo e(route('sms-campaigns.show', $smsCampaign)); ?>" class="btn btn-info btn-outline btn-circle btn-lg" data-toggle="tooltip" title="<?php echo app('translator')->get('View'); ?>"><i class="fa fa-list ambitious-padding-btn"></i></a>&nbsp;&nbsp;
                                <?php endif; ?>
                                <a href="#" data-href="<?php echo e(route('sms-campaigns.destroy', $smsCampaign)); ?>" class="btn btn-info btn-outline btn-circle btn-lg" data-toggle="modal" data-target="#myModal" title="<?php echo app('translator')->get('Delete'); ?>"><i class="fa fa-trash ambitious-padding-btn"></i></a>
                            </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                <?php echo e($smsCampaigns->withQueryString()->links()); ?>

            </div>
        </div>
    </div>
</div>
<?php echo $__env->make('layouts.delete_modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\identsoft\resources\views/sms-campaign/index.blade.php ENDPATH**/ ?>