
<?php $__env->startSection('content'); ?>
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('currencies-create')): ?>
                    <h3>
                        <a href="<?php echo e(route('currency.create')); ?>" class="btn btn-outline btn-info">+ <?php echo app('translator')->get('Add New Currency'); ?></a>
                    </h3>
                <?php endif; ?>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>"><?php echo app('translator')->get('Dashboard'); ?></a></li>
                    <li class="breadcrumb-item active"><?php echo app('translator')->get('Currency List'); ?></li>
                </ol>
            </div>
        </div>
    </div>
</section>
<div class="row">
    <div class="col-12">
      <div class="card">
        <div class="card-header">
            <h3 class="card-title"><?php echo app('translator')->get('Currencies'); ?> </h3>
            <div class="card-tools">
                <button class="btn btn-default" data-toggle="collapse" href="#filter"><i class="fas fa-filter"></i> <?php echo app('translator')->get('Filter'); ?></button>
            </div>
        </div>
        <div class="card-body">
            <div id="filter" class="collapse <?php if(request()->isFilterActive): ?> show <?php endif; ?>">
                <div class="card-body border">
                    <form action="" method="get" role="form" autocomplete="off">
                        <input type="hidden" name="isFilterActive" value="true">
                        <div class="row">
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('Name'); ?></label>
                                    <input type="text" name="name" class="form-control" value="<?php echo e(request()->name); ?>" placeholder="<?php echo app('translator')->get('Name'); ?>">
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('Code'); ?></label>
                                    <input type="text" name="code" class="form-control" value="<?php echo e(request()->code); ?>" placeholder="<?php echo app('translator')->get('Code'); ?>">
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('Symbol'); ?></label>
                                    <input type="text" name="symbol" class="form-control" value="<?php echo e(request()->symbol); ?>" placeholder="<?php echo app('translator')->get('Symbol'); ?>">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <button type="submit" class="btn btn-info"><?php echo app('translator')->get('Submit'); ?></button>
                                <?php if(request()->isFilterActive): ?>
                                    <a href="<?php echo e(route('currency.index')); ?>" class="btn btn-secondary"><?php echo app('translator')->get('Clear'); ?></a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <table id="laravel_datatable" class="table table-striped compact table-width">
                <thead>
                    <tr>
                        <th><?php echo e(__('Name')); ?></th>
                        <th><?php echo e(__('Code')); ?></th>
                        <th><?php echo e(__('Rate')); ?></th>
                        <th class="text-center"><?php echo e(__('Symbol')); ?></th>
                        <th><?php echo e(__('Enabled')); ?></th>
                        <th data-orderable="false"><?php echo e(__('Actions')); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $currency): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($currency->name); ?></td>
                            <td><?php echo e($currency->code); ?></td>
                            <td><?php echo e($currency->rate); ?></td>
                            <td>
                                <p id="custom-currencies-index"><?php echo e($currency->symbol); ?></p>
                            </td>
                            <td>
                                <?php if($currency->enabled == '1'): ?>
                                    <span class="badge badge-pill badge-success"><?php echo app('translator')->get('Enabled'); ?></span>
                                <?php else: ?>
                                    <span class="badge badge-pill badge-danger"><?php echo app('translator')->get('Disabled'); ?></span>
                                <?php endif; ?>
                            </td>
                            <td>
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('currencies-update')): ?>
                                    <a href="<?php echo e(route('currency.edit', $currency)); ?>" class="btn btn-info btn-outline btn-circle btn-lg" data-toggle="tooltip" title="<?php echo app('translator')->get('Edit'); ?>"><i class="fa fa-edit ambitious-padding-btn"></i></a>&nbsp;&nbsp;
                                <?php endif; ?>
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('currencies-delete')): ?>
                                    <a href="#" data-href="<?php echo e(route('currency.destroy', $currency)); ?>" class="btn btn-info btn-outline btn-circle btn-lg" data-toggle="modal" data-target="#myModal" title="<?php echo app('translator')->get('Delete'); ?>"><i class="fa fa-trash ambitious-padding-btn"></i></a>
                                <?php endif; ?>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
            <?php echo e($currencies->links()); ?>

        </div>
      </div>
    </div>
</div>
<?php echo $__env->make('layouts.delete_modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\identsoft\resources\views/currencies/index.blade.php ENDPATH**/ ?>