<?php $__env->startSection('one_page_js'); ?>
<script src="<?php echo e(asset('assets/plugins/magnify/dist/jquery.magnify.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('one_page_css'); ?>
     <link href="<?php echo e(asset('assets/plugins/magnify/dist/jquery.magnify.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<section class="content-header">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-6">
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item">
                        <a href="<?php echo e(route('lab-reports.index')); ?>"><?php echo app('translator')->get('Lab Report'); ?></a></li>
                    <li class="breadcrumb-item active"><?php echo app('translator')->get('Lab Report Info'); ?></li>
                </ol>
            </div>
        </div>
    </div>
</section>
<div class="row">
    <div class="col-md-3">
        <div class="card card-primary card-outline">
            <div class="card-body box-profile">
                <div class="text-center">
                    <img class="profile-user-img img-fluid img-circle" src="<?php echo e($labReport->user->photo_url); ?>" alt="">
                </div>
                <h3 class="profile-username text-center"><?php echo e($labReport->user->name); ?></h3>
                <p class="text-muted text-center"><?php echo e($labReport->date); ?></p>
                <p class="text-center"><?php echo e($labReport->user->phone); ?></p>
            </div>
        </div>
    </div>
    <div class="col-md-9">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title"><?php echo app('translator')->get('Lab Reports Info'); ?></h3>
                <div class="card-tools">
                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('lab-report-update')): ?>
                        <a href="<?php echo e(route('lab-reports.edit', $labReport)); ?>" class="btn btn-info"><?php echo app('translator')->get('Edit'); ?></a>
                    <?php endif; ?>
                    <button id="doPrint" class="btn btn-default"><i class="fas fa-print"></i> Print</button>
                </div>
            </div>
            <div class="card-body">
                <div id="print-area" class="row">
                    <div class="col-md-12">
                        <div class="text-center">
                            <p class="text-right m-0"><?php echo app('translator')->get('Report Date'); ?>: <?php echo e(date($companySettings->date_format ?? 'Y-m-d', strtotime($labReport->date))); ?><br></p>
                            <p class="text-right"><?php echo app('translator')->get('Lab Report ID'); ?> #<?php echo e(str_pad($labReport->id, 4, '0', STR_PAD_LEFT)); ?><br></p>
                            <h4>
                                <img src="<?php echo e($company->company_logo); ?>" class="custom-wi-he" alt=""> <?php echo e($company->company_name); ?>

                            </h4>
                            <div class="row invoice-info">
                                <div class="col-md-12 invoice-col">
                                    <address>
                                        <?php echo str_replace(["script"], ["noscript"], $company->company_address); ?>

                                        <?php echo app('translator')->get('Email'); ?>: <?php echo e($company->company_email); ?><br>
                                        <?php if($company->company_phone): ?>
                                            <?php echo app('translator')->get('Phone'); ?>: <?php echo e($company->company_phone); ?>

                                        <?php endif; ?>
                                    </address>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <h2 class="text-center"><?php echo app('translator')->get('Lab Report'); ?></h2>
                        <?php echo str_replace(["script"], ["noscript"], $labReport->report); ?>

                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <?php if(isset($labReport->photo)): ?>
                            <?php $__currentLoopData = json_decode($labReport->photo); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pic): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if(pathinfo($pic, PATHINFO_EXTENSION) != "pdf"): ?>
                                    <a data-magnify="gallery" data-caption="Report"
                                        href="<?php echo e(asset($pic)); ?>">
                                        <img id="custom-mw-heo" class="rounded" src="<?php echo e(asset($pic)); ?>" alt="">
                                    </a>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </div>
                </div>
                <br>
                <div class="row">
                    <div class="col-md-12">
                        <?php if(isset($labReport->photo)): ?>
                            <?php $__currentLoopData = json_decode($labReport->photo); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pic): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if(pathinfo($pic, PATHINFO_EXTENSION) == "pdf"): ?>
                                    <a class="my_card" href="<?php echo e(asset('storage/'.$pic)); ?>" target="_blank">
                                        <i class="fas fa-file-pdf fa-7x" class="custom-padding-10"></i>
                                    </a>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('footer'); ?>
    <script src="<?php echo e(asset('assets/js/custom/lab-report/show.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\identsoft\resources\views/lab-report/show.blade.php ENDPATH**/ ?>