
<?php $__env->startSection('content'); ?>
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('user-create')): ?>
                    <h3><a href="<?php echo e(route('users.create')); ?>" class="btn btn-outline btn-info">+ <?php echo app('translator')->get('Add User'); ?></a>
                    </h3>
                <?php endif; ?>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>"><?php echo app('translator')->get('Dashboard'); ?></a></li>
                    <li class="breadcrumb-item active"><?php echo app('translator')->get('User List'); ?></li>
                </ol>
            </div>
        </div>
    </div>
</section>
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title"><?php echo app('translator')->get('User List'); ?></h3>
                <div class="card-tools">
                    <a class="btn btn-primary" target="_blank" href="<?php echo e(route('users.index')); ?>?export=1"><i class="fas fa-cloud-download-alt"></i> <?php echo app('translator')->get('Export'); ?></a>
                    <button class="btn btn-default" data-toggle="collapse" href="#filter"><i class="fas fa-filter"></i> <?php echo app('translator')->get('Filter'); ?></button>
                </div>
            </div>
            <div class="card-body">
                <div id="filter" class="collapse <?php if(request()->isFilterActive): ?> show <?php endif; ?>">
                    <div class="card-body border">
                        <form action="" method="get" role="form" autocomplete="off">
                            <input type="hidden" name="isFilterActive" value="true">
                            <div class="row">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('User ID'); ?></label>
                                        <input type="text" name="id" class="form-control" value="<?php echo e(request()->id); ?>" placeholder="<?php echo app('translator')->get('User ID'); ?>">
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('Name'); ?></label>
                                        <input type="text" name="name" class="form-control" value="<?php echo e(request()->name); ?>" placeholder="<?php echo app('translator')->get('Name'); ?>">
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('Email'); ?></label>
                                        <input type="text" name="email" class="form-control" value="<?php echo e(request()->email); ?>" placeholder="<?php echo app('translator')->get('Email'); ?>">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-6">
                                    <button type="submit" class="btn btn-info"><?php echo app('translator')->get('Submit'); ?></button>
                                    <?php if(request()->isFilterActive): ?>
                                        <a href="<?php echo e(route('users.index')); ?>" class="btn btn-secondary"><?php echo app('translator')->get('Clear'); ?></a>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <table class="table table-striped" id="laravel_datatable">
                    <thead>
                        <tr>
                            <th><?php echo app('translator')->get('Id'); ?></th>
                            <th><?php echo app('translator')->get('Name'); ?></th>
                            <th><?php echo app('translator')->get('Email'); ?></th>
                            <th><?php echo app('translator')->get('Roles'); ?></th>
                            <th><?php echo app('translator')->get('Register Date'); ?></th>
                            <th><?php echo app('translator')->get('Status'); ?></th>
                            <th data-orderable="false"><?php echo app('translator')->get('Actions'); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($user->id); ?></td>
                                <td><?php echo e($user->name); ?></td>
                                <td><?php echo e($user->email); ?></td>
                                <td><?php echo e($user->getRoleNames()->first()); ?></td>
                                <td><?php echo e(date($companySettings->date_format ?? 'Y-m-d', strtotime($user->created_at))); ?></td>
                                <td>
                                    <?php if($user->status): ?>
                                        <span class="badge badge-success"><?php echo app('translator')->get('Active'); ?></span>
                                    <?php else: ?>
                                        <span class="badge badge-danger"><?php echo app('translator')->get('Inactive'); ?></span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('user-update')): ?>
                                        <a href="<?php echo e(route('users.edit', $user->id)); ?>" class="btn btn-info btn-outline btn-circle btn-lg" data-toggle="tooltip" title="<?php echo app('translator')->get('Edit'); ?>"><i class="fa fa-edit ambitious-padding-btn"></i></a>&nbsp;&nbsp;
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('user-delete')): ?>
                                    <a href="#" data-href="<?php echo e(route('users.destroy', $user->id)); ?>" class="btn btn-info btn-outline btn-circle btn-lg" data-toggle="modal" data-target="#myModal" title="<?php echo app('translator')->get('Delete'); ?>"><i class="fa fa-trash ambitious-padding-btn"></i></a>
                                    <?php endif; ?>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                <?php echo e($users->withQueryString()->links()); ?>

            </div>
        </div>
    </div>
</div>
<?php echo $__env->make('layouts.delete_modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\identsoft\resources\views/users/index.blade.php ENDPATH**/ ?>