
<?php $__env->startPush('header'); ?>
    <?php if(old('account_name') || isset($invoice->invoiceItems)): ?>
        <meta name="clear-invoice-html" content="clean">
    <?php endif; ?>
    <meta name="invoice-total" content="<?php echo e(old('total', $invoice->total ?? 0)); ?>">
    <meta name="invoice-grand-total" content="<?php echo e(old('grand_total', $invoice->grand_total ?? 0)); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<section class="content-header">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-6">
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item">
                        <a href="<?php echo e(route('invoices.index')); ?>"><?php echo app('translator')->get('Invoice'); ?></a></li>
                    <li class="breadcrumb-item active"><?php echo app('translator')->get('Add Invoice'); ?></li>
                </ol>
            </div>
        </div>
    </div>
</section>
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title"><?php echo app('translator')->get('Add Invoice'); ?></h3>
            </div>
            <div class="card-body">
                <form class="form-material form-horizontal" action="<?php echo e(route('invoices.store')); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="user_id"><?php echo app('translator')->get('Select Patient'); ?> <b class="ambitious-crimson">*</b></label>
                                <select name="user_id" id="user_id" class="form-control custom-width-100 <?php $__errorArgs = ['user_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" required>
                                    <option value="">--<?php echo app('translator')->get('Select'); ?>--</option>
                                    <?php $__currentLoopData = $patients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $patient): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> {
                                        <option value="<?php echo e($patient->id); ?>" <?php if($patient->id == old('user_id')): ?> selected <?php endif; ?>><?php echo e($patient->id.'. '.$patient->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php $__errorArgs = ['user_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="invalid-feedback">
                                        <?php echo e($message); ?>

                                    </div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="insurance_id"><?php echo app('translator')->get('Select Insurance'); ?></label>
                                <select name="insurance_id" id="insurance_id" class="form-control custom-width-100 <?php $__errorArgs = ['insurance_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>">
                                    <option value="">--<?php echo app('translator')->get('Select'); ?>--</option>
                                    <?php $__currentLoopData = $insurances; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $insurance): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> {
                                        <option value="<?php echo e($insurance->id); ?>" <?php if($insurance->id == old('insurance_id')): ?> selected <?php endif; ?>><?php echo e($insurance->id.'. '.$insurance->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php $__errorArgs = ['insurance_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="invalid-feedback">
                                        <?php echo e($message); ?>

                                    </div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo app('translator')->get('Invoice Date'); ?> <b class="ambitious-crimson">*</b></label>
                                <input type="text" name="invoice_date" id="invoice_date" class="form-control flatpickr <?php $__errorArgs = ['invoice_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" placeholder="<?php echo app('translator')->get('Invoice Date'); ?>" value="<?php echo e(old('invoice_date', date('Y-m-d'))); ?>" required>
                                <?php $__errorArgs = ['invoice_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="invalid-feedback">
                                        <?php echo e($message); ?>

                                    </div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="table-responsive">
                                <table id="t1" class="table">
                                    <thead>
                                        <tr>
                                            <th scope="col" class="custom-th-width-20"><?php echo app('translator')->get('Account Name'); ?></th>
                                            <th scope="col" class="custom-th-width-25"><?php echo app('translator')->get('Description'); ?></th>
                                            <th scope="col"><?php echo app('translator')->get('Quantity'); ?></th>
                                            <th scope="col" class="custom-th-width-15"><?php echo app('translator')->get('Price'); ?></th>
                                            <th scope="col" class="custom-th-width-15"><?php echo app('translator')->get('Sub Total'); ?></th>
                                            <th scope="col" class="custom-white-space"><?php echo app('translator')->get('Add / Remove'); ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php if(old('account_name')): ?>
                                            <?php $__currentLoopData = old('account_name'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td>
                                                        <select name="account_name[]" class="form-control" required>
                                                            <option value="">--<?php echo app('translator')->get('Select'); ?>--</option>
                                                            <?php $__currentLoopData = $accountHeaders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $accountHeader): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <option value="<?php echo e($accountHeader->name); ?>" <?php if(old('account_name')[$key] == $accountHeader->name): ?> selected <?php endif; ?>><?php echo e($accountHeader->name); ?></option>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        </select>
                                                    </td>
                                                    <td>
                                                        <textarea name="description[]" class="form-control" rows="1" placeholder="<?php echo app('translator')->get('Description'); ?>"><?php echo e(old('description')[$key]); ?></textarea>
                                                    </td>
                                                    <td>
                                                        <input type="number" step=".01" name="quantity[]" class="form-control quantity" value="<?php echo e(old('quantity')[$key]); ?>" placeholder="<?php echo app('translator')->get('Quantity'); ?>" required>
                                                    </td>
                                                    <td>
                                                        <input type="number" step=".01" name="price[]" class="form-control price" value="<?php echo e(old('price')[$key]); ?>" placeholder="<?php echo app('translator')->get('Price'); ?>" required>
                                                    </td>
                                                    <td>
                                                        <input type="number" step=".01" name="sub_total[]" class="form-control sub_total" value="<?php echo e(old('sub_total')[$key]); ?>" placeholder="<?php echo app('translator')->get('Sub Total'); ?>" readonly>
                                                    </td>
                                                    <td>
                                                        <button type="button" class="btn btn-info m-add"><i class="fas fa-plus"></i></button>
                                                        <button type="button" class="btn btn-info m-remove"><i class="fas fa-trash"></i></button>
                                                    </td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </tbody>
                                    <tbody id="invoice">
                                        <tr>
                                            <td>
                                                <select name="account_name[]" class="form-control" required>
                                                    <option value="">--<?php echo app('translator')->get('Select'); ?>--</option>
                                                    <?php $__currentLoopData = $accountHeaders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $accountHeader): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($accountHeader->name); ?>"><?php echo e($accountHeader->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </td>
                                            <td>
                                                <textarea name="description[]" class="form-control" rows="1" placeholder="<?php echo app('translator')->get('Description'); ?>"></textarea>
                                            </td>
                                            <td>
                                                <input type="number" step=".01" name="quantity[]" class="form-control quantity" value="" placeholder="<?php echo app('translator')->get('Quantity'); ?>" required>
                                            </td>
                                            <td>
                                                <input type="number" step=".01" name="price[]" class="form-control price" value="" placeholder="<?php echo app('translator')->get('Price'); ?>" required>
                                            </td>
                                            <td>
                                                <input type="number" step=".01" name="sub_total[]" class="form-control sub_total" value="0.00" placeholder="<?php echo app('translator')->get('Sub Total'); ?>" readonly>
                                            </td>
                                            <td>
                                                <button type="button" class="btn btn-info m-add"><i class="fas fa-plus"></i></button>
                                                <button type="button" class="btn btn-info m-remove"><i class="fas fa-trash"></i></button>
                                            </td>
                                        </tr>
                                    </tbody>
                                    <tbody>
                                        <tr>
                                            <td colspan="3"></td>
                                            <td class="ambitious-right"><?php echo app('translator')->get('Total'); ?></td>
                                            <td>
                                                <input type="number" step=".01" name="total" class="form-control total" value="<?php echo e(old('total', '0.00')); ?>" placeholder="<?php echo app('translator')->get('Total'); ?>" readonly>
                                            </td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <td colspan="2"></td>
                                            <td class="text-right"><?php echo app('translator')->get('Discount'); ?></td>
                                            <td class="text-right">
                                                <div class="input-group">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">%</span>
                                                    </div>
                                                    <input type="number" step=".01" name="discount_percentage" value="<?php echo e(old('discount_percentage', '0.00')); ?>" class="form-control discount_percentage" placeholder="%">
                                                </div>
                                            </td>
                                            <td>
                                                <input type="number" step=".01" name="total_discount" class="form-control discount" value="<?php echo e(old('total_discount', '0.00')); ?>" placeholder="<?php echo app('translator')->get('Total Discount'); ?>">
                                            </td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <td colspan="2"></td>
                                            <td class="text-right"><?php echo app('translator')->get('Vat'); ?></td>
                                            <td class="text-right">
                                                <div class="input-group">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">%</span>
                                                    </div>
                                                    <input type="number" step=".01" name="vat_percentage" value="<?php echo e(old('vat_percentage', '0.00')); ?>" class="form-control vat_percentage" placeholder="%">
                                                </div>
                                            </td>
                                            <td>
                                                <input type="number" step=".01" name="total_vat" class="form-control vat" value="<?php echo e(old('total_vat', '0.00')); ?>" placeholder="<?php echo app('translator')->get('Total Vat'); ?>">
                                            </td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <td colspan="3"></td>
                                            <td class="ambitious-right"><?php echo app('translator')->get('Grand Total'); ?></td>
                                            <td>
                                                <input type="number" step=".01" name="grand_total" class="form-control grand_total" value="<?php echo e(old('grand_total', '0.00')); ?>" placeholder="<?php echo app('translator')->get('Grand Total'); ?>" readonly>
                                            </td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <td colspan="3"></td>
                                            <td class="ambitious-right"><?php echo app('translator')->get('Paid'); ?></td>
                                            <td>
                                                <input type="number" step=".01" name="paid" class="form-control paid" value="<?php echo e(old('paid')); ?>" placeholder="<?php echo app('translator')->get('Paid'); ?>">
                                            </td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <td colspan="3"></td>
                                            <td class="ambitious-right"><?php echo app('translator')->get('Due'); ?></td>
                                            <td>
                                                <input type="number" step=".01" name="due" class="form-control due" value="<?php echo e(old('due')); ?>" placeholder="<?php echo app('translator')->get('Due'); ?>" readonly>
                                            </td>
                                            <td></td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="col-md-3 col-form-label"></label>
                                <div class="col-md-8">
                                    <input type="submit" value="<?php echo e(__('Submit')); ?>" class="btn btn-outline btn-info btn-lg"/>
                                    <a href="<?php echo e(route('invoices.index')); ?>" class="btn btn-outline btn-warning btn-lg"><?php echo e(__('Cancel')); ?></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('footer'); ?>
    <script src="<?php echo e(asset('assets/js/custom/invoice.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\identsoft\resources\views/invoices/create.blade.php ENDPATH**/ ?>