
<?php $__env->startSection('content'); ?>
<section class="content-header">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-6">
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item">
                        <a href="<?php echo e(route('patient-details.index')); ?>"><?php echo app('translator')->get('Patient'); ?></a></li>
                    <li class="breadcrumb-item active"><?php echo app('translator')->get('Patient Info'); ?></li>
                </ol>
            </div>
        </div>
    </div>
</section>
<div class="row">
    <div class="col-md-3">
        <div class="card card-primary card-outline">
            <div class="card-body box-profile">
                <div class="text-center">
                    <img class="profile-user-img img-fluid img-circle" src="<?php echo e($patientDetail->photo_url); ?>" alt="" />
                </div>
                <h3 class="profile-username text-center"><?php echo e($patientDetail->name); ?></h3>
            </div>
        </div>
    </div>
    <div class="col-md-9">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title"><?php echo app('translator')->get('Patient Info'); ?></h3>
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('patient-detail-update')): ?>
                    <div class="card-tools">
                        <a href="<?php echo e(route('patient-details.edit', $patientDetail)); ?>" class="btn btn-info"><?php echo app('translator')->get('Edit'); ?></a>
                    </div>
                <?php endif; ?>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="name"><?php echo app('translator')->get('Name'); ?></label>
                            <p><?php echo e($patientDetail->name); ?></p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="email"><?php echo app('translator')->get('Email'); ?></label>
                            <p><?php echo e($patientDetail->email); ?></p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="phone"><?php echo app('translator')->get('Phone'); ?></label>
                            <p><?php echo e($patientDetail->phone); ?></p>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="gender"><?php echo app('translator')->get('Gender'); ?></label>
                            <p><?php echo e(ucfirst($patientDetail->gender)); ?></p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="blood_group"><?php echo app('translator')->get('Blood Group'); ?></label>
                            <p><?php echo e($patientDetail->blood_group); ?></p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="date_of_birth"><?php echo app('translator')->get('Date of Birth'); ?></label>
                            <p><?php echo e($patientDetail->date_of_birth); ?></p>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="address"><?php echo app('translator')->get('Address'); ?></label>
                            <p><?php echo $patientDetail->address; ?></p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="status"><?php echo app('translator')->get('Status'); ?></label>
                            <p>
                                <?php if($patientDetail->status == 1): ?>
                                    <span class="badge badge-pill badge-success"><?php echo app('translator')->get('Active'); ?></span>
                                <?php else: ?>
                                    <span class="badge badge-pill badge-danger"><?php echo app('translator')->get('Inactive'); ?></span>
                                <?php endif; ?>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\identsoft\resources\views/patient-detail/show.blade.php ENDPATH**/ ?>