<!doctype html>
<html lang="en">

<head>
	<!-- Required meta tags -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<link rel="shortcut icon" type="image/x-icon" href="assets/images/favicon.png">
    <meta name="site-url" content="<?php echo e(url('/')); ?>">
	<title><?php echo e($ApplicationSetting->item_name); ?> | <?php echo app('translator')->get('Services'); ?> :: ambitiousit.net</title>
	<!-- Font Awesome Icons -->
	<link rel="stylesheet" href="<?php echo e(asset('assets/plugins/fontawesome-free/css/all.css')); ?>">
	<!-- Template CSS -->
	<link rel="stylesheet" href="assets/css/style-starter.css">
	<link rel="stylesheet" href="<?php echo e(asset('assets/css/frontend.css')); ?>">
    <?php if(session('locale') == 'ar'): ?>
        <link href="<?php echo e(asset('assets/css/bootstrap-rtl.min.css')); ?>" rel="stylesheet">
    <?php else: ?>
        <link href="<?php echo e(asset('assets/plugins/alertifyjs/css/themes/bootstrap.min.css')); ?>" rel="stylesheet">
    <?php endif; ?>
	<!-- Template CSS -->
	<link href="https://fonts.googleapis.com/css?family=Poppins:300,400,400i,500,600,700&display=swap" rel="stylesheet">
	<!-- flag -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/plugins/flag-icons-3.1.0/css/flag-icon.css')); ?>">
</head>

<body>
	<?php echo $__env->make('frontend.common.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
	<!-- /breadcrumbs -->
	<nav id="breadcrumbs" class="breadcrumbs">
		<div class="container page-wrapper">
			<a href="<?php echo e(url('/')); ?>"><?php echo app('translator')->get('Home'); ?></a> » <span class="breadcrumb_last" aria-current="page"><?php echo app('translator')->get('Services'); ?></span>
		</div>
	</nav>
	<!-- //breadcrumbs -->
	<!-- services block 2 -->
	<div class="w3l-services-block py-5" id="classes custom-services-background">
		<div class="container py-lg-5 py-md-5">
			<div class="title-content text-left mb-lg-5 mt-4">
				<h6 class="sub-title"><?php echo app('translator')->get('What We Offer'); ?></h6>
				<h3 class="hny-title"><?php echo app('translator')->get('Our Services'); ?></h3>
				<p><?php echo e($contents->serviceText ?? ''); ?></p>
			</div>
			<div class="services-block_grids_bottom">
				<div class="row">
                    <?php
                        $i = -1;
                    ?>
                    <?php $__currentLoopData = $contents->serviceName ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $team): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            $i++;
                            if (empty($contents->serviceName[$i]))
                                continue;
                        ?>
                        <div class="col-lg-4 col-md-6 service_grid_btm_left mt-lg-5 mt-4">
                            <div class="service_grid_btm_left1">
                                <a href="#"><img src="<?php echo e(asset($contents->images[$i] ?? 'assets/images/placeholder.jpg')); ?>" alt=" " class="img-fluid" /></a>
                                <div class="service_grid_btm_left2">
                                    <h5><?php echo e($contents->serviceName[$i] ?? ''); ?></h5>
                                    <p><?php echo e($contents->serviceDescription[$i] ?? ''); ?></p>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
				</div>
			</div>
		</div>
	</div>
	<!-- // services block2 -->
	<section class="features-4">
		<div class="features4-block py-5">
			<div class="container py-lg-5">
				<div class="title-content text-left mb-lg-5 mt-4">
					<h6 class="sub-title-1"><?php echo app('translator')->get('Features'); ?></h6>
					<h3 class="hny-title two"><?php echo app('translator')->get('Some More Features'); ?></h3>
					<p class="fea-para"><?php echo e($contents->feature ?? ''); ?></p>
				</div>
				<div class="row features4-grids text-left">
					<div class="col-lg-3 col-md-6 features4-grid">
						<div class="features4-grid-inn">
							<span class="fas fa-pencil-square-o icon-fea4" aria-hidden="true"></span>
							<h5><a href="#URL"><?php echo app('translator')->get('Free Check Up'); ?></a></h5>
							<p><?php echo e($contents->check ?? ''); ?></p>

						</div>
					</div>
					<div class="col-lg-3 col-md-6 features4-grid">
						<div class="features4-grid-inn">
							<span class="fas fa-umbrella icon-fea4" aria-hidden="true"></span>
							<h5><a href="#URL"><?php echo app('translator')->get('Always Open'); ?></a></h5>
							<p><?php echo e($contents->open ?? ''); ?></p>

						</div>
					</div>
					<div class="col-lg-3 col-md-6 features4-grid third">
						<div class="features4-grid-inn">
							<span class="fas fa-cogs icon-fea4" aria-hidden="true"></span>
							<h5><a href="#URL">
								<?php echo app('translator')->get('Serve with Smile'); ?></a></h5>
							<p><?php echo e($contents->smile ?? ''); ?></p>

						</div>
					</div>
					<div class="col-lg-3 col-md-6 features4-grid">
						<div class="features4-grid-inn">
							<span class="fas fa-spinner icon-fea4" aria-hidden="true"></span>
							<h5><a href="#URL"><?php echo app('translator')->get('Work with Hearts'); ?></a></h5>
							<p><?php echo e($contents->work ?? ''); ?></p>

						</div>
					</div>
				</div>
			</div>
		</div>
		</div>
	</section>
	<!-- features-4 -->

	<?php echo $__env->make('frontend.common.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <script src="<?php echo e(asset('assets/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/jquery.waypoints.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/jquery.countup.js')); ?>"></script>
    <?php if(session('locale') == 'ar'): ?>
        <script src="<?php echo e(asset('assets/js/bootstrap.bundle.min.js')); ?>"></script>
    <?php else: ?>
        <script src="<?php echo e(asset('assets/js/bootstrap.min.js')); ?>"></script>
    <?php endif; ?>
    <script src="<?php echo e(asset('assets/js/custom/frontend/services.js')); ?>"></script>
</body>

</html>
<?php /**PATH C:\laragon\www\identsoft\resources\views/frontend/services.blade.php ENDPATH**/ ?>