
<?php $__env->startSection('content'); ?>
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('payment-create')): ?>
                        <h3><a href="<?php echo e(route('payments.create')); ?>" class="btn btn-outline btn-info">+ <?php echo app('translator')->get('Add Payment'); ?></a>
                            <span class="pull-right"></span>
                        </h3>
                    <?php endif; ?>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>"><?php echo e(__('Dashboard')); ?></a></li>
                        <li class="breadcrumb-item active"><?php echo app('translator')->get('Payment'); ?></li>
                    </ol>
                </div>
            </div>
        </div>
    </section>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title"><?php echo app('translator')->get('Payment List'); ?></h3>
                    <div class="card-tools">
                        <a class="btn btn-primary" target="_blank" href="<?php echo e(route('payments.index')); ?>?export=1"><i class="fas fa-cloud-download-alt"></i> <?php echo app('translator')->get('Export'); ?></a>
                        <button class="btn btn-default" data-toggle="collapse" href="#filter"><i class="fas fa-filter"></i> <?php echo app('translator')->get('Filter'); ?></button>
                    </div>
                </div>
                <div class="card-body">
                    <div id="filter" class="collapse <?php if(request()->isFilterActive): ?> show <?php endif; ?>">
                        <div class="card-body border">
                            <form action="" method="get" role="form" autocomplete="off">
                                <input type="hidden" name="isFilterActive" value="true">
                                <div class="row">
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label><?php echo app('translator')->get('Account Name'); ?></label>
                                            <select class="form-control select2" name="account_name" id="account_name">
                                                <option value="">--<?php echo app('translator')->get('Select'); ?>--</option>
                                                <?php $__currentLoopData = $accountHeaders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $accountHeader): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($accountHeader->name); ?>" <?php if(request()->account_name == $accountHeader->name): ?> selected <?php endif; ?>><?php echo e($accountHeader->name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label><?php echo app('translator')->get('Receiver Name'); ?></label>
                                            <input type="text" id="receiver_name" name="receiver_name" value="<?php echo e(request()->receiver_name); ?>" class="form-control" placeholder="<?php echo app('translator')->get('Receiver Name'); ?>">
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label><?php echo app('translator')->get('Payment Date'); ?></label>
                                            <input type="text" id="payment_date" name="payment_date" value="<?php echo e(request()->payment_date); ?>" class="form-control flatpickr" placeholder="<?php echo app('translator')->get('Payment Date'); ?>">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-6">
                                        <button type="submit" class="btn btn-info"><?php echo app('translator')->get('Submit'); ?></button>
                                        <?php if(request()->isFilterActive): ?>
                                            <a href="<?php echo e(route('payments.index')); ?>" class="btn btn-secondary"><?php echo app('translator')->get('Clear'); ?></a>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>

                    <table class="table table-striped" id="laravel_datatable">
                        <thead>
                            <tr>
                                <th><?php echo app('translator')->get('ID'); ?></th>
                                <th><?php echo app('translator')->get('Account Name'); ?></th>
                                <th><?php echo app('translator')->get('Receiver Name'); ?></th>
                                <th><?php echo app('translator')->get('Account Type'); ?></th>
                                <th><?php echo app('translator')->get('Amount'); ?></th>
                                <th><?php echo app('translator')->get('Payment Date'); ?></th>
                                <th><?php echo app('translator')->get('Actions'); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $payments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $payment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($payment->id); ?></td>
                                    <td><?php echo e($payment->account_name); ?></td>
                                    <td><?php echo e($payment->receiver_name); ?></td>
                                    <td><?php echo e($payment->account_type); ?></td>
                                    <td><?php echo e($payment->amount); ?></td>
                                    <td><?php echo e(date($companySettings->date_format ?? 'Y-m-d', strtotime($payment->payment_date))); ?></td>
                                    <td>
                                        <a href="<?php echo e(route('payments.show', $payment)); ?>" class="btn btn-info btn-outline btn-circle btn-lg" data-toggle="tooltip" title="<?php echo app('translator')->get('View'); ?>"><i class="fa fa-eye ambitious-padding-btn"></i></a>&nbsp;&nbsp;
                                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('payment-update')): ?>
                                            <a href="<?php echo e(route('payments.edit', $payment)); ?>" class="btn btn-info btn-outline btn-circle btn-lg" data-toggle="tooltip" title="<?php echo app('translator')->get('Edit'); ?>"><i class="fa fa-edit ambitious-padding-btn"></i></a>&nbsp;&nbsp;
                                        <?php endif; ?>
                                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('payment-delete')): ?>
                                            <a href="#" data-href="<?php echo e(route('payments.destroy', $payment)); ?>" class="btn btn-info btn-outline btn-circle btn-lg" data-toggle="modal" data-target="#myModal" title="<?php echo app('translator')->get('Delete'); ?>"><i class="fa fa-trash ambitious-padding-btn"></i></a>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php echo e($payments->withQueryString()->links()); ?>

                </div>
            </div>
        </div>
    </div>
<?php echo $__env->make('layouts.delete_modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\identsoft\resources\views/payments/index.blade.php ENDPATH**/ ?>