
<?php $__env->startSection('content'); ?>
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('smtp-create')): ?>
                    <h3>
                        <a href="<?php echo e(route('smtp-configurations.create')); ?>" class="btn btn-outline btn-info">+ <?php echo e(__('Add New SMTP')); ?></a>
                    </h3>
                <?php endif; ?>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>"><?php echo e(__('Dashboard')); ?></a></li>
                    <li class="breadcrumb-item active"><?php echo e(__('SMTP List')); ?></li>
                </ol>
            </div>
        </div>
    </div>
</section>
<div class="row">
    <div class="col-12">
      <div class="card">
        <div class="card-header">
          <h3 class="card-title"><?php echo e(__('SMTP Configrution')); ?></h3>
        </div>
        <div class="card-body">
            <table id="laravel_datatable" class="table table-striped compact table-width">
                <thead>
                    <tr>
                        <th><?php echo e(__('Id')); ?></th>
                        <th><?php echo e(__('Name')); ?></th>
                        <th><?php echo e(__('Email')); ?></th>
                        <th><?php echo e(__('Host')); ?></th>
                        <th><?php echo e(__('Port')); ?></th>
                        <th><?php echo e(__('User')); ?></th>
                        <th><?php echo e(__('Password')); ?></th>
                        <th><?php echo e(__('Type')); ?></th>
                        <th><?php echo e(__('Status')); ?></th>
                        <th data-orderable="false"><?php echo e(__('Actions')); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $lists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($list->id); ?></td>
                            <td><?php echo e($list->sender_name); ?></td>
                            <td><?php echo e($list->sender_email); ?></td>
                            <td><?php echo e($list->smtp_host); ?></td>
                            <td><?php echo e($list->smtp_port); ?></td>
                            <td><?php echo e($list->smtp_user); ?></td>
                            <td><?php echo e($list->smtp_password); ?></td>
                            <td>
                                <?php if($list->smtp_type == 'ssl'): ?>
                                    <span class="badge badge-pill badge-info"><?php echo app('translator')->get('Ssl'); ?></span>
                                <?php elseif($list->smtp_type == 'tls'): ?>
                                    <span class="badge badge-pill badge-success"><?php echo app('translator')->get('Tls'); ?></span>
                                <?php else: ?>
                                    <span class="badge badge-pill badge-secondary"><?php echo app('translator')->get('Default'); ?></span>
                                <?php endif; ?>
                            </td>
                            <td>
                                <?php if($list->status == 0): ?>
                                    <span class="badge badge-pill badge-secondary"><?php echo app('translator')->get('Inactive'); ?></span>
                                <?php else: ?>
                                    <span class="badge badge-pill badge-primary"><?php echo app('translator')->get('Active'); ?></span>
                                <?php endif; ?>
                            </td>
                            <td>
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('smtp-update')): ?>
                                    <a href="<?php echo e(route('smtp-configurations.edit', $list)); ?>" class="btn btn-info btn-outline btn-circle btn-lg" data-toggle="tooltip" title="<?php echo app('translator')->get('Edit'); ?>"><i class="fa fa-edit ambitious-padding-btn"></i></a>&nbsp;&nbsp;
                                <?php endif; ?>
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('smtp-delete')): ?>
                                    <a href="#" data-href="<?php echo e(route('smtp-configurations.destroy', $list)); ?>" class="btn btn-info btn-outline btn-circle btn-lg" data-toggle="modal" data-target="#myModal" title="<?php echo app('translator')->get('Delete'); ?>"><i class="fa fa-trash ambitious-padding-btn"></i></a>
                                <?php endif; ?>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
            <?php echo e($lists->links()); ?>

        </div>
      </div>
    </div>
</div>
<?php echo $__env->make('layouts.delete_modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\identsoft\resources\views/admin/smpt/list.blade.php ENDPATH**/ ?>