
<?php $__env->startSection('content'); ?>
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>"><?php echo e(__('Dashboard')); ?></a></li>
                        <li class="breadcrumb-item active"><?php echo app('translator')->get('Report'); ?></li>
                    </ol>
                </div>
            </div>
        </div>
    </section>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title"><?php echo app('translator')->get('Report'); ?></h3>
                    <div class="card-tools">
                        <a class="btn btn-primary" target="_blank" href="<?php echo e(route('financial-reports.index')); ?>?export=1"><i class="fas fa-cloud-download-alt"></i> <?php echo app('translator')->get('Export'); ?></a>
                    </div>
                </div>
                <div class="card-body">
                    <form action="<?php echo e(route('financial-reports.index')); ?>" method="get">
                        <div class="row border">
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('Date From'); ?></label>
                                    <input type="text" name="date_from" id="date_from" class="form-control flatpickr" placeholder="<?php echo app('translator')->get('Date From'); ?>" value="<?php echo e(old('date_from', request()->date_from)); ?>">
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('Date To'); ?></label>
                                    <input type="text" name="date_to" id="date_to" class="form-control flatpickr" placeholder="<?php echo app('translator')->get('Date To'); ?>" value="<?php echo e(old('date_to', request()->date_to)); ?>">
                                </div>
                            </div>
                            <div class="col-sm-2">
                                <div class="form-group">
                                    <label>&nbsp;</label>
                                    <button type="submit" class="btn btn-primary form-control"><?php echo app('translator')->get('Submit'); ?></button>
                                </div>
                            </div>
                        </div>
                    </form>
                    <br>
                    <div class="row">
                        <div class="col-md-6">
                            <h3><?php echo app('translator')->get('Credit'); ?></h3>
                            <div class="table-responsive">
                                <table class="table table-bordered">
                                    <thead>
                                        <tr>
                                            <th><?php echo app('translator')->get('Account Name'); ?></th>
                                            <th><?php echo app('translator')->get('Receiver Name'); ?></th>
                                            <th><?php echo app('translator')->get('Date'); ?></th>
                                            <th><?php echo app('translator')->get('Grand Total'); ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            $totalCredit = 0;
                                        ?>
                                        <?php $__currentLoopData = $credits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $credit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($credit->account_name); ?></td>
                                                <td><?php echo e($credit->receiver_name); ?></td>
                                                <td><?php echo e(date($companySettings->date_format ?? 'Y-m-d', strtotime($credit->payment_date))); ?></td>
                                                <td><?php echo e($credit->amount); ?></td>
                                            </tr>
                                            <?php
                                                $totalCredit += $credit->amount;
                                            ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <th><?php echo app('translator')->get('Total'); ?></th>
                                            <th><?php echo e($totalCredit); ?></th>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <h3><?php echo app('translator')->get('Debit'); ?></h3>
                            <div class="table-responsive">
                                <table class="table table-bordered">
                                    <thead>
                                        <tr>
                                            <th><?php echo app('translator')->get('Account Name'); ?></th>
                                            <th><?php echo app('translator')->get('Patient Name'); ?></th>
                                            <th><?php echo app('translator')->get('Date'); ?></th>
                                            <th><?php echo app('translator')->get('Grand Total'); ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            $totalDebit = 0;
                                        ?>
                                        <?php $__currentLoopData = $debits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $debits): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($debits->account_name); ?></td>
                                                <td><?php echo e($debits->invoice->user->name); ?></td>
                                                <td><?php echo e(date($companySettings->date_format ?? 'Y-m-d', strtotime($debits->invoice->invoice_date))); ?></td>
                                                <td><?php echo e($debits->total); ?></td>
                                            </tr>
                                            <?php
                                                $totalDebit += $debits->total;
                                            ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <th><?php echo app('translator')->get('Total'); ?></th>
                                            <th><?php echo e($totalDebit); ?></th>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\identsoft\resources\views/financial-reports/index.blade.php ENDPATH**/ ?>