
<?php $__env->startSection('content'); ?>

<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('tax-rate-create')): ?>
                    <h3>
                        <a href="<?php echo e(route('tax.create')); ?>" class="btn btn-outline btn-info">+ <?php echo e(__('Add New')); ?></a>
                    </h3>
                <?php endif; ?>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>"><?php echo e(__('Dashboard')); ?></a></li>
                    <li class="breadcrumb-item active"><?php echo e(__('Tax Rates')); ?></li>
                </ol>
            </div>
        </div>
    </div>
</section>

<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title"><?php echo e(__('Tax Rates')); ?> </h3>
                <div class="card-tools">
                    <button class="btn btn-default" data-toggle="collapse" href="#filter"><i class="fas fa-filter"></i> <?php echo app('translator')->get('Filter'); ?></button>
                </div>
            </div>
            <div class="card-body">
                <div id="filter" class="collapse <?php if(request()->isFilterActive): ?> show <?php endif; ?>">
                    <div class="card-body border">
                        <form action="" method="get" role="form" autocomplete="off">
                            <input type="hidden" name="isFilterActive" value="true">
                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('Tax Name'); ?></label>
                                        <input type="text" name="name" class="form-control" value="<?php echo e(request()->name); ?>" placeholder="<?php echo app('translator')->get('Tax Name'); ?>">
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('Tax Type'); ?></label>
                                        <select class="form-control" name="type">
                                            <option value="">--<?php echo app('translator')->get('Select'); ?>--</option>
                                            <option value="inclusive" <?php echo e(old('type', request()->type) === 'inclusive' ? 'selected' : ''); ?>><?php echo app('translator')->get('Inclusive'); ?></option>
                                            <option value="exclusive" <?php echo e(old('type', request()->type) === 'exclusive' ? 'selected' : ''); ?>><?php echo app('translator')->get('Exclusive'); ?></option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-6">
                                    <button type="submit" class="btn btn-info"><?php echo app('translator')->get('Submit'); ?></button>
                                    <?php if(request()->isFilterActive): ?>
                                        <a href="<?php echo e(route('tax.index')); ?>" class="btn btn-secondary"><?php echo app('translator')->get('Clear'); ?></a>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <table id="laravel_datatable" class="table table-striped compact table-width">
                    <thead>
                        <tr>
                            <th><?php echo e(__('Tax Name')); ?></th>
                            <th><?php echo e(__('Tax Rate(%)')); ?></th>
                            <th><?php echo e(__('Type')); ?></th>
                            <th><?php echo e(__('Status')); ?></th>
                            <th data-orderable="false"><?php echo e(__('Actions')); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $taxes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tax): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($tax->name); ?></td>
                                <td><?php echo e($tax->rate); ?></td>
                                <td>
                                    <?php if($tax->type == 'inclusive'): ?>
                                        <span class="badge badge-pill badge-primary"><?php echo app('translator')->get('Inclusive'); ?></span>
                                    <?php elseif($tax->type == 'exclusive'): ?>
                                        <span class="badge badge-pill badge-warning"><?php echo app('translator')->get('Exclusive'); ?></span>
                                    <?php else: ?>
                                        <span class="badge badge-pill badge-secondary"><?php echo app('translator')->get('Normal'); ?></span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if($tax->enabled == '1'): ?>
                                        <span class="badge badge-pill badge-success"><?php echo app('translator')->get('Enabled'); ?></span>
                                    <?php else: ?>
                                        <span class="badge badge-pill badge-danger"><?php echo app('translator')->get('Disabled'); ?></span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('tax-rate-update')): ?>
                                        <a href="<?php echo e(route('tax.edit', $tax)); ?>" class="btn btn-info btn-circle" data-toggle="tooltip" title="<?php echo app('translator')->get('Edit'); ?>"><i class="fa fa-edit ambitious-padding-btn"></i></a>&nbsp;&nbsp;
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('tax-rate-delete')): ?>
                                        <a href="#" data-href="<?php echo e(route('tax.destroy', $tax)); ?>" class="btn btn-info btn-circle" data-toggle="modal" data-target="#myModal" title="<?php echo app('translator')->get('Delete'); ?>"><i class="fa fa-trash ambitious-padding-btn"></i></a>
                                    <?php endif; ?>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                <?php echo e($taxes->links()); ?>

            </div>
      </div>
    </div>
</div>
<?php echo $__env->make('layouts.delete_modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\identsoft\resources\views/tax/index.blade.php ENDPATH**/ ?>