
<?php $__env->startSection('content'); ?>
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('doctor-schedule-create')): ?>
                    <h3>
                        <a href="<?php echo e(route('doctor-schedules.create')); ?>" class="btn btn-outline btn-info">+ <?php echo app('translator')->get('Add Schedule'); ?></a>
                        <span class="pull-right"></span>
                    </h3>
                <?php endif; ?>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>"><?php echo e(__('Dashboard')); ?></a></li>
                    <li class="breadcrumb-item active"><?php echo app('translator')->get('Doctor Schedule'); ?></li>
                </ol>
            </div>
        </div>
    </div>
</section>
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header">
                <h3><?php echo app('translator')->get('Doctor Schedule'); ?></h3>
            </div>
            <div class="card-body">
                <table class="table table-striped" id="laravel_datatable">
                    <thead>
                        <tr>
                            <th><?php echo app('translator')->get('ID'); ?></th>
                            <th><?php echo app('translator')->get('Doctor Name'); ?></th>
                            <th><?php echo app('translator')->get('Weekday'); ?></th>
                            <th><?php echo app('translator')->get('Visiting Time'); ?></th>
                            <th><?php echo app('translator')->get('Status'); ?></th>
                            <th data-orderable="false"><?php echo app('translator')->get('Actions'); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $doctorSchedules; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $doctorSchedule): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($doctorSchedule->id); ?></td>
                                <td><?php echo e($doctorSchedule->user->name); ?></td>
                                <td><?php echo e($doctorSchedule->weekday); ?></td>
                                <td><?php echo e($doctorSchedule->start_time . ' - ' . $doctorSchedule->end_time); ?></td>
                                <td>
                                    <?php if($doctorSchedule->status == '1'): ?>
                                        <span class="badge badge-pill badge-success"><?php echo app('translator')->get('Active'); ?></span>
                                    <?php else: ?>
                                        <span class="badge badge-pill badge-danger"><?php echo app('translator')->get('Inactive'); ?></span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <a href="<?php echo e(route('doctor-schedules.show', $doctorSchedule)); ?>" class="btn btn-info btn-outline btn-circle btn-lg" data-toggle="tooltip" title="<?php echo app('translator')->get('View'); ?>"><i class="fa fa-eye ambitious-padding-btn"></i></a>&nbsp;&nbsp;
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('doctor-schedule-update')): ?>
                                        <a href="<?php echo e(route('doctor-schedules.edit', $doctorSchedule)); ?>" class="btn btn-info btn-outline btn-circle btn-lg" data-toggle="tooltip" title="<?php echo app('translator')->get('Edit'); ?>"><i class="fa fa-edit ambitious-padding-btn"></i></a>&nbsp;&nbsp;
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('doctor-schedule-delete')): ?>
                                        <a href="#" data-href="<?php echo e(route('doctor-schedules.destroy', $doctorSchedule)); ?>" class="btn btn-info btn-outline btn-circle btn-lg" data-toggle="modal" data-target="#myModal" title="<?php echo app('translator')->get('Delete'); ?>"><i class="fa fa-trash ambitious-padding-btn"></i></a>
                                    <?php endif; ?>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                <?php echo e($doctorSchedules->withQueryString()->links()); ?>

            </div>
        </div>
    </div>
</div>
<?php echo $__env->make('layouts.delete_modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\identsoft\resources\views/doctor-schedule/index.blade.php ENDPATH**/ ?>