<!doctype html>
<html lang="en">

<head>
	<!-- Required meta tags -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<link rel="shortcut icon" type="image/x-icon" href="assets/images/favicon.png">
    <meta name="site-url" content="<?php echo e(url('/')); ?>">
    <meta name="success-title" content="<?php echo e(session('success-title')); ?>">
    <meta name="success-message" content="<?php echo e(session('success-message')); ?>">
	<title><?php echo e($ApplicationSetting->item_name); ?> | <?php echo app('translator')->get('Contact'); ?> :: ambitiousit.net</title>
	<!-- Font Awesome Icons -->
	<link rel="stylesheet" href="<?php echo e(asset('assets/plugins/fontawesome-free/css/all.css')); ?>">
	<!-- Template CSS -->
	<link rel="stylesheet" href="assets/css/style-starter.css">
	<link rel="stylesheet" href="<?php echo e(asset('assets/css/frontend.css')); ?>">
    <?php if(session('locale') == 'ar'): ?>
        <link href="<?php echo e(asset('assets/css/bootstrap-rtl.min.css')); ?>" rel="stylesheet">
    <?php else: ?>
        <link href="<?php echo e(asset('assets/plugins/alertifyjs/css/themes/bootstrap.min.css')); ?>" rel="stylesheet">
    <?php endif; ?>
    <!-- sweetalert2 CSS -->
	<link rel="stylesheet" href="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.css')); ?>">
	<!-- Template CSS -->
	<link href="https://fonts.googleapis.com/css?family=Poppins:300,400,400i,500,600,700&display=swap" rel="stylesheet">
	<!-- flag -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/plugins/flag-icons-3.1.0/css/flag-icon.css')); ?>">
</head>

<body>
	<?php echo $__env->make('frontend.common.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
	<!-- /contact-form -->
	<section class="w3l-contact-main">
		<div class="contant11-top-bg py-5">
			<div class="container py-md-5">
				<div class="row contact-info-left text-center">
					<div class="col-lg-4 col-md-6 contact-info">
						<div class="contact-gd">
							<span class="fas fa-location-arrow" aria-hidden="true"></span>
							<h4><?php echo app('translator')->get('Address'); ?></h4>
							<p><?php echo e(nl2br(str_replace(["script"], ["noscript"], $contents->contactAddress))); ?></p>
						</div>
					</div>
					<div class="col-lg-4 col-md-6 contact-info">
						<div class="contact-gd">
							<span class="fas fa-phone" aria-hidden="true"></span>
							<h4><?php echo app('translator')->get('Phone'); ?></h4>
							<p><?php echo e(nl2br(str_replace(["script"], ["noscript"], $contents->contactPhone))); ?></p>
						</div>
					</div>
					<div class="col-lg-4 col-md-6 contact-info">
						<div class="contact-gd">
							<span class="fas fa-envelope-open" aria-hidden="true"></span>
							<h4><?php echo app('translator')->get('Mail'); ?></h4>
							<p><?php echo e(nl2br(str_replace(["script"], ["noscript"], $contents->contactMail))); ?></p>
						</div>
					</div>
				</div>
			</div>
	</section>
	<!-- //contact-form -->
	<!-- /contact-form -->
	<section class="w3l-contact-main">
		<div class="contact-infhny py-5">
			<div class="container py-lg-5">
				<div class="title-content text-left mb-lg-5 mt-4">
					<h6 class="sub-title"><?php echo app('translator')->get('Contact Us'); ?></h6>
					<h3 class="hny-title"><?php echo app('translator')->get('Drop your message for any info'); ?> <br><?php echo app('translator')->get('or question.'); ?></h3>
				</div>
				<div class="row align-form-map">
					<div class="col-lg-6 form-inner-cont">
						<form action="<?php echo e(route('contact-form.store')); ?>" method="post" class="signin-form">
							<?php echo csrf_field(); ?>
							<div class="form-input">
								<label for="Name"><?php echo app('translator')->get('Name'); ?>*</label>
								<input type="text" name="name" id="Name" placeholder="" required>
							</div>
							<div class="form-input">
								<label for="Sender"><?php echo app('translator')->get('Email'); ?>*</label>
								<input type="email" name="email" id="Sender" placeholder="" required>
							</div>

							<div class="form-input">
								<label for="Message"><?php echo app('translator')->get('Message'); ?>*</label>
								<textarea placeholder="" name="message" id="Message" required></textarea>
							</div>

							<button type="submit" class="btn btn-contact"><?php echo app('translator')->get('Submit'); ?></button>
						</form>
					</div>
					<div class="map col-lg-6 pl-lg-4">
                        <iframe id="custom-contact-b" src="<?php echo e(str_replace(["script"], ["noscript"], $contents->contactGoogleMap)); ?>" width="100%" height="450" allowfullscreen="" loading="lazy"></iframe>
					</div>
				</div>
			</div>
	</section>
	<!-- //contact-form -->

	<?php echo $__env->make('frontend.common.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <script src="<?php echo e(asset('assets/plugins/jquery/jquery.min.js')); ?>"></script>
    <?php if(session('locale') == 'ar'): ?>
        <script src="<?php echo e(asset('assets/js/bootstrap.bundle.min.js')); ?>"></script>
    <?php else: ?>
        <script src="<?php echo e(asset('assets/js/bootstrap.min.js')); ?>"></script>
    <?php endif; ?>
    <script src="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/custom/frontend/contact.js')); ?>"></script>
</body>

</html>
<?php /**PATH C:\laragon\www\identsoft\resources\views/frontend/contact.blade.php ENDPATH**/ ?>