
<?php $__env->startSection('content'); ?>
<section class="content-header">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-6"></div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item">
                        <a href="<?php echo e(route('patient-case-studies.index')); ?>"><?php echo app('translator')->get('Patient'); ?></a></li>
                    <li class="breadcrumb-item active"><?php echo app('translator')->get('Patient Case Study'); ?></li>
                </ol>
            </div>
        </div>
    </div>
</section>
<div class="row">
    <div class="col-md-3">
        <div class="card card-primary card-outline">
            <div class="card-body box-profile">
                <div class="text-center">
                    <img class="profile-user-img img-fluid img-circle" src="<?php echo e($patientCaseStudy->user->photo_url); ?>" alt="" />
                </div>
                <h3 class="profile-username text-center"><?php echo e($patientCaseStudy->user->name); ?></h3>
                <p class="text-muted text-center"><?php echo e($patientCaseStudy->user->email); ?></p>
                <p class="text-center"><?php echo e($patientCaseStudy->user->phone); ?></p>
            </div>
        </div>
    </div>
    <div class="col-md-9">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title"><?php echo app('translator')->get('Patient Case Study Info'); ?></h3>
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('patient-case-studies-update')): ?>
                    <div class="card-tools">
                        <a href="<?php echo e(route('patient-case-studies.edit', $patientCaseStudy)); ?>" class="btn btn-info"><?php echo app('translator')->get('Edit'); ?></a>
                    </div>
                <?php endif; ?>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="name"><?php echo app('translator')->get('Food Allergy'); ?></label>
                            <p><?php echo e($patientCaseStudy->food_allergy); ?></p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="email"><?php echo app('translator')->get('Heart Disease'); ?></label>
                            <p><?php echo e($patientCaseStudy->heart_disease); ?></p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="phone"><?php echo app('translator')->get('High Blood Pressure'); ?></label>
                            <p><?php echo e($patientCaseStudy->high_blood_pressure); ?></p>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="name"><?php echo app('translator')->get('Diabetic'); ?></label>
                            <p><?php echo e($patientCaseStudy->diabetic); ?></p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="email"><?php echo app('translator')->get('Surgery'); ?></label>
                            <p><?php echo e($patientCaseStudy->surgery); ?></p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="phone"><?php echo app('translator')->get('Accident'); ?></label>
                            <p><?php echo e($patientCaseStudy->accident); ?></p>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="name"><?php echo app('translator')->get('Others'); ?></label>
                            <p><?php echo e($patientCaseStudy->others); ?></p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="email"><?php echo app('translator')->get('Family Medical History'); ?></label>
                            <p><?php echo e($patientCaseStudy->family_medical_history); ?></p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="phone"><?php echo app('translator')->get('Current Medication'); ?></label>
                            <p><?php echo e($patientCaseStudy->current_medication); ?></p>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="name"><?php echo app('translator')->get('Pregnancy'); ?></label>
                            <p><?php echo e($patientCaseStudy->pregnancy); ?></p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="email"><?php echo app('translator')->get('Breast Feeding'); ?></label>
                            <p><?php echo e($patientCaseStudy->breastfeeding); ?></p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="phone"><?php echo app('translator')->get('Health Insurance'); ?></label>
                            <p><?php echo e($patientCaseStudy->health_insurance); ?></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php if($patientCaseStudy->file): ?>
    <?php
        $extension = pathinfo(asset($patientCaseStudy->file), PATHINFO_EXTENSION);
    ?>
    <?php if($extension == 'pdf'): ?>
    <div class="text-center">
        <embed src="<?php echo e(asset($patientCaseStudy->file)); ?>" width="100%" height="600px" />
    </div>
    <?php else: ?>
    <div class="text-center">
        <img class="img-fluid img-thumbnail" src="<?php echo e(asset($patientCaseStudy->file)); ?>" width="1280" height="600px" alt="" />
    </div>
    <?php endif; ?>
<?php endif; ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\identsoft\resources\views/patient-case-study/show.blade.php ENDPATH**/ ?>